Update an existing configuration
curl --request PUT \
--url https://api.honeyhive.ai/v1/configurations/{configId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"type": "LLM",
"provider": "<string>",
"env": [],
"tags": [
"<string>"
],
"user_properties": {}
}
'import requests
url = "https://api.honeyhive.ai/v1/configurations/{configId}"
payload = {
"name": "<string>",
"type": "LLM",
"provider": "<string>",
"env": [],
"tags": ["<string>"],
"user_properties": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
type: 'LLM',
provider: '<string>',
env: [],
tags: ['<string>'],
user_properties: {}
})
};
fetch('https://api.honeyhive.ai/v1/configurations/{configId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"acknowledged": true,
"modifiedCount": 123,
"upsertedId": "<string>",
"upsertedCount": 123,
"matchedCount": 123
}Configurations
Update an existing configuration
deprecated
Update an existing configuration’s name, provider, parameters, environment, or tags.
PUT
/
v1
/
configurations
/
{configId}
Update an existing configuration
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Configuration ID like 6638187d505c6812e4043f24
Body
application/json
Request body for PUT /configurations
Maximum string length:
200Available options:
LLM, pipeline Minimum string length:
1Show child attributes
Show child attributes
Available options:
dev, staging, prod Show child attributes
Show child attributes
Was this page helpful?
⌘I

